Page MenuHomeMiraheze

Trying to import Template:Citation from Wikipedia
Closed, ResolvedPublic

Description

Hi. I'm trying to import Template:Citation from Wikipedia. I keep getting this error in citations though:

"Lua error in Module:Citation/CS1/Identifiers at line 47: attempt to index field 'wikibase' (a nil value)."

How can I fix this? What should I do?

Event Timeline

Lavender created this task.Jan 5 2019, 18:53
Lavender added a comment.Jan 5 2019, 18:58

Some things I forgot to mention: I imported the Wikipedia article "Bicalutamide" including its templates to my Wiki using Special:Import to get most of the templates I thought I'd need for my Wiki. I've also added the WikiBase extension. But I'm still getting the error above.

Paladox added a subscriber: Paladox.Jan 6 2019, 14:57

Hi, see if enabling "Wikibase Repo" in Special:ManageWikiExtension fixes it for you.

Lavender added a comment.Jan 6 2019, 21:09

Hi Paladox. Thanks for the response. It's already enabled.

Paladox added a comment.Jan 12 2019, 01:08

Hi, it seems to work now.

I am still seeing the same error: "Lua error in Module:Citation/CS1/Identifiers at line 47: attempt to index field 'wikibase' (a nil value)."

@Lavender I looked at it and don't really understand why it's erroring out.

However, there was one thing I noticed which I find quite interesting:
Module: Module:Citation/CS1/styles.css is by default a lua file (as expected), but when I want change the content model to CSS it complains about the external resources from upload.wikimedia.org, because the URLs like "//upload.wikimedia.org/wikipedia/commons/thumb/6/65/Lock-green.svg/9px-Lock-green.svg.png" don't match the regex "<^https://upload\\.wikimedia\\.org/wikipedia/commons/>". Reported as: T4058

Void closed this task as Resolved.Jan 27 2019, 23:40
Void claimed this task.

I've done some simple fixes. I'd also suggest you import MediaWiki:Common.css if this hasn't already been done.

It's fixed. And I imported MediaWiki:Common.css just now. Thanks so much to you both!